<!doctype html>
<html lang="en">
<head>
  <!-- Google tag (gtag.js) -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=G-3SVS4XQ47V"></script>
  <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());
  
    gtag('config', 'G-3SVS4XQ47V');
  </script>
  <meta charset="utf-8">
  <meta name="author" content="Jim Hefferon" />
  <meta name="copyright" content="Contents of this HTML page and its CSS is CCSA 4.0." />
  <link rel="canonical" href="https://hefferon.net/computation/slides.html" />
  <meta property="og:locale" content="en_US" />
  <meta property="og:type" content="website" />
  <meta property="og:title" content="Free Texts and more, from Jim Hefferon" />
  <meta property="og:description" content="Free Theory of Computation Text classroom slides, from Jim Hefferon" />
  <meta property="og:url" content="https://hefferon.net/computation/slides.html" />
  <meta property="og:site_name" content="Free math texts" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Literata">
  <link rel="stylesheet" href="../hefferon.css">
  <title>Free Theory of Computation textbook: Extras</title>
</head>

<body>
  <div id="container">
    <div id="header">
      <p>
	<i>Theory of Computation:</i> Extras
      </p>
    </div>
    <div id="content">
      <div id="innercontent">
	<p>
	  <a href="/computation/"><i>Theory of Computation</i></a>,
	  is a text for a first undergraduate Computer Science theory course.
	  It is Free.
	  Use it as a main text, as a supplement, or for independent study.
	</p>

	<h3>
	  Extra materials
	</h3>
        <p>
	  As noted on the <a href="/computation/">description page</a>,
	  the
	  <a href="https://jheffero.w3.uvm.edu/computation/answers.pdf">fully-worked answers to all exercises</a>
	  is available.
	</p>
	<p>
	  If you are teaching from the text, you may find useful the
	  <a href="https://jheffero.w3.uvm.edu/computation/slides.zip">slides</a>
	  for classroom presentations.
	  These cover the same material as the text, in the same order.
	  They are made using the book's  
	  <a href="https://gitlab.com/jim.hefferon/toc"><span class="latex">L<sup>a</sup>T<sub>e</sub>X</span> source</a>
	  so they are sure to have the same wording, notation, etc.
	</p>
	<p>There are also
	    <a href="https://www.youtube.com/playlist?list=PLwF3A0R8OzMpO6_9WbT1kK16akYFh3_Nt">videos</a>
	    based on those slides.
	</p>

	<h3>
	  Suggested additional readings
	</h3>
	<p>
	  These books are available at most college or university libraries.
	  </p>
	
	<p>
	  <i>The Universal Computer: The Road from Leibniz to Turing</i>,
	  by Martin Davis (ISBN-13: 978-0393047851)
	  is a wonderful historical overview of the development of the
	  subject, written for a  wide audience by one of the central
	  people in that development.
	  </p>
	<p>
	  <i>Gödel, Escher, Bach: An Eternal Golden Braid</i>,
	  by Douglas Hofstadter (ISBN-13: 978-0465026562)
	  is a charmingly discursive exploration of many of the
	  ideas of the course (it is also a Pulitzer Prize winner).
	  </p>
      </div>
    </div>
    <div id="navbar">
      <div id="innernavbar">
	<h3>
	  More on <i>Theory of Computation</i>
	</h3>
	<ul>
	  <li><a href="/computation">Description of the text</a>.</li>
	  <li><a href="/source.html">License and source</a>.</li>
	  <li><a href="/help.html">You can help</a>.
	    Donate or make a bug report.</li>
	</ul>
	<h3>
	  You may also like ... 
	</h3>
	<ul>
	  <li><a href="/linearalgebra/"><i>Linear Algebra</i></a>,
	      a popular undergraduate text.</li>
	  <li><a href="/proofs/"><i>Introduction to Proofs</i></a>,
	      for an Inquiry-Based course.</li>
	  <li><a href="/other/">More</a>,
	      including programs and documents.</li>
	  <li><a href="/jimhefferon.html">About me</a>.</li>
	  <li><a href="/">This site's home page</a>.</li>
	</ul>
      </div>
    </div>
    <div id="footer">
      <a id="contact" href="/contact.html">Contact me</a>
    </div>
</body>
</html>
